Subject: E.10.3 Signals (Basic Continuity Package)

From: Chuong Nguyen <[email-masked]>
Date: Mon, 3 Apr 2000 16:45:02 -0500

Hi

The Respond SignalID: rsp (0x004)  has a Signal Type of Timeout.

Looking at Section 10.5,
"Upon reception of a command with the rsp signal, the MG
awaits reception of the continuity test tone.  When the tone is received

before the rsp signal times out, the MG returns the applicable return
tone."

What is the duration of this Respond Signal?  The text seems to imply
that the Signal Type is
Timeout but it is used to timeout the reception of the continuity test
tone.
Is the intend that the Respond Signal has the same duration as the
Timeout for the detection of
the continuity test tone?

If the Respond Signal duration is TimeOut, MGC gets indication from
Central Office that
COT test successful, should MGC sends a Modify to stop the Respond
Signal or
just let it play until Timeout?
If let it plays until Timeout, will or should MG sends Notify w/COT
failed due to Timeout of
Respond Signal?

Or should the Respond Signal be Brief or ON/OFF?

Thanks
Chuong

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: Tom-PT Taylor <[email-masked]>
Date: Tue, 25 Apr 2000 02:14:00 -0400

More unanswered mail.  Responses below.

> -----Original Message-----
> From: Chuong Nguyen [SMTP:[email-masked]]
> Sent: Monday, April 03, 2000 5:45 PM
> To:   [email-masked]
> Subject:      E.10.3 Signals (Basic Continuity Package)
>
>
> Hi
>
> What is the duration of this Respond Signal?  The text seems to imply that
> the Signal Type is
> Is the intend that the Respond Signal has the same duration as the Timeout
> for the detection of
        [PTT]
        I'd like someone to confirm the correctness of the procedure as
quoted.  My understanding of continuity testing varies on two points:
         - sometimes the responder just does a loopback rather than
detecting a tone and playing out another
         - the responder continues to respond until told by the MGC to stop.
        Am I wrong?

> COT test successful, should MGC sends a Modify to stop the Respond Signal
> or
> If let it plays until Timeout, will or should MG sends Notify w/COT failed
> due to Timeout of
> Respond Signal?
>
        [PTT]
        If it is correct that the responder continues running the test until
call signalling indicates that it can stop, then no timeout is needed and
the rsp signal should be ON/OFF.

          Thanks

---

From: Al Varney <[email-masked]>
Date: Tue, 25 Apr 2000 16:24:13 -0500

> Is the intend that the Respond Signal has the same duration as the
Timeout

[PTT]

I'd like someone to confirm
the correctness of the procedure as

quoted.  My understanding of continuity testing varies on two
points:

- sometimes the
responder just does a loopback rather than

- the responder
continues to respond until told by the MGC to stop.

Am I wrong?

For ISUP/TUP continuity testing, there are two
procedures:

Case 1:  A 4-wire test described in Q.764, Section 7

Case 2:  A 2-wire test described in Q.764, Section 8

You are correct on both "-" items above, but so is
the quoted procedure, with some interpretation.  In Case 1, the
tested switch (doing ct/rsp) only needs a loop-back (called a
"check-loop" in Q.724).  In Case 2, the tested switch must
recognize the incoming test tone and return one of a different
frequency.  Specifically, the outgoing tone is ON whenever the
incoming tone is ON, and OFF otherwise.  This can occur multiple
times during one test.  In effect, the return tone
"emulates" a loop-back, only shifting the test frequency.

Note that in either Case, the testing switch (the one doing
ct/ct in Megaco) is the one that determines test timing, duration and
success/failure.  The tested switch should not attempt to do
anything other than reflect back what is received.  Because of glare
considerations, the national option of detecting both the presence of a
returned tone and the removal of a returned tone is often used.
That is why the return tone in Case 2 must be removed whenever the
incoming test tone is not being detected.

> COT test successful, should MGC sends a Modify to stop the Respond
Signal

> If let it plays until Timeout, will or should MG sends Notify w/COT
failed

[PTT]

If it is correct that the
responder continues running the test until

call signalling indicates that it can stop, then no timeout is needed
and

That's how it works in ISUP PSTN switches today.
Whether initiated by an IAM (indicating "continuity check required
on this circuit") or by a CCR, the receiving MGC will be running
ISUP timer T8 or T36, waiting for the sending switch to send a COT or
other message to end the test.  So there is no need to actually have
a timer on the "ct/rsp signal" -- in fact, there are may be
good reasons to leave a loop-back in place for a long period of
time.  On the other hand, there are no OnOff Signal Types anywhere
else in Annex E, so a (long) timer could just insure the MGC didn't
forget about the termination....

I suggest a clarified version of the referenced paragraph in
E.10.5, with the ct/rsp Signal Type changed to OnOff :

"When a MGC wants the MG to respond to a
continuity test, it sends

a command to the MG containing a signals
descriptor with the rsp

signal. Upon reception of a command with
the rsp signal, the MG

either applies a loop-back or (for 2-wire
circuits) awaits reception

of a continuity test tone.  In the
loop-back case, any incoming

information shall be reflected back as
outgoing information.  In the

2-wire case, any time the appropriate test
tone is received, the

appropriate response tone should be
sent.  The MGC will determine

when to remove the rsp signal.

The current version of E.10 is much improved, but it did
result in dropping all references to Q.724.  Rather than add in a
lot more text to explain "2-wire", etc., why not add back in a
("See Q.724 Sections 7 and 8 for further information.") at the
end?

One last note -- Telcordia's GR-317 has a better (IMHO)
description of the continuity test procedure.  It also indicates the
desirability of performing the "2-wire" test even on 4-wire
circuits, since it will detect instances where digital transmission
facilities have been inadvertently left in a loop-back mode.  So
don't ignore Case 2 above just because an MG may only be connecting to
4-wire circuits.

Al Varney - Lucent Technologies  +1 630 224-7493
[email-masked]

---

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 26 Apr 2000 11:10:49 -0400

Thank you for your words.  I'll put them into the errata document.

> From: Al Varney [SMTP:[email-masked]]
> Sent: Tuesday, April 25, 2000 5:24 PM
> Subject:      Re: E.10.3 Signals (Basic Continuity Package)
>
>    For ISUP/TUP continuity testing, there are two procedures:
>    You are correct on both "-" items above, but so is the quoted
> procedure, with some interpretation.  In Case 1, the tested switch (doing
> ct/rsp) only needs a loop-back (called a "check-loop" in Q.724).  In Case
> 2, the tested switch must recognize the incoming test tone and return one
> of a different frequency.  Specifically, the outgoing tone is ON whenever
> the incoming tone is ON, and OFF otherwise.  This can occur multiple times
> during one test.  In effect, the return tone "emulates" a loop-back, only
> shifting the test frequency.
>
>    Note that in either Case, the testing switch (the one doing ct/ct in
> Megaco) is the one that determines test timing, duration and
> success/failure.  The tested switch should not attempt to do anything
> other than reflect back what is received.  Because of glare
> returned tone and the removal of a returned tone is often used.  That is
> why the return tone in Case 2 must be removed whenever the incoming test
> tone is not being detected.
>
>
>
>    That's how it works in ISUP PSTN switches today.  Whether initiated by
> an IAM (indicating "continuity check required on this circuit") or by a
> CCR, the receiving MGC will be running ISUP timer T8 or T36, waiting for
> the sending switch to send a COT or other message to end the test.  So
> there is no need to actually have a timer on the "ct/rsp signal" -- in
> fact, there are may be good reasons to leave a loop-back in place for a
> long period of time.  On the other hand, there are no OnOff Signal Types
> anywhere else in Annex E, so a (long) timer could just insure the MGC
> didn't forget about the termination....
>
>    I suggest a clarified version of the referenced paragraph in E.10.5,
> with the ct/rsp Signal Type changed to OnOff :
>
>      "When a MGC wants the MG to respond to a continuity test, it sends
>       a command to the MG containing a signals descriptor with the rsp
>       signal. Upon reception of a command with the rsp signal, the MG
>       either applies a loop-back or (for 2-wire circuits) awaits reception
>       of a continuity test tone.  In the loop-back case, any incoming
>       information shall be reflected back as outgoing information.  In the
>       2-wire case, any time the appropriate test tone is received, the
>       appropriate response tone should be sent.  The MGC will determine
>    The current version of E.10 is much improved, but it did result in
> dropping all references to Q.724.  Rather than add in a lot more text to
> explain "2-wire", etc., why not add back in a ("See Q.724 Sections 7 and 8
> for further information.") at the end?
>
>    One last note -- Telcordia's GR-317 has a better (IMHO) description of
> the continuity test procedure.  It also indicates the desirability of
> performing the "2-wire" test even on 4-wire circuits, since it will detect
> instances where digital transmission facilities have been inadvertently
> left in a loop-back mode.  So don't ignore Case 2 above just because an MG
> may only be connecting to 4-wire circuits.
>
> Al Varney - Lucent Technologies  +1 630 224-7493    [email-masked]